Index: mono-1.2.6/libgc/configure.in
===================================================================
--- mono-1.2.6.orig/libgc/configure.in	2007-12-12 15:02:31.000000000 -0500
+++ mono-1.2.6/libgc/configure.in	2007-12-12 15:05:10.000000000 -0500
@@ -17,6 +17,15 @@
 AC_PREREQ(2.53)
 AC_INIT(libgc-mono, 6.6, Hans_Boehm@hp.com)
 
+# the following is a very strange bug.  CPPFLAGS does not get set correctly
+# if CPPFLAGS is set in the environment.  The top level configure script
+# appends to the CPPFLAGS variable, and then exports it.  This change should
+# be picked up by this configure script, but it is not.  The original 
+# env variable is still used for some reason.  If CPPFLAGS is not set in the
+# environment, everything works fine.
+# Someone more experienced with autoconf will have to come up with a better fix.
+CPPFLAGS="$CPPFLAGS -DGC_LINUX_THREADS -D_GNU_SOURCE -D_REENTRANT -DUSE_MMAP -DUSE_MUNMAP  -DUSE_COMPILER_TLS"
+echo "CPPFLAGS verify: start of libgc/configure.in, CPPFLAGS = $CPPFLAGS"
 AM_INIT_AUTOMAKE(libgc-mono, 6.6, no-define)
 
 AC_CONFIG_SRCDIR(gcj_mlc.c)
